Get Email Content
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/emails/1/content';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/emails/1/content \ --header 'Authorization: Bearer <token>'Retrieves an email’s content.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”Workspace ID
Email ID
Responses
Section titled “ Responses ”Successful
object
object
The ID of a saved conditional applied to this content. When set, inline_conditional must not be set. The content has a separate variant for each branch of the conditional.
A conditional definition owned by a single component instance in an email.
object
object
The closing syntax tag for the conditional block.
Key-value pairs where the key is the branch key and the value is the opening syntax for that branch.
object
object
object
A per-DynamicContentProfile syntax entry on a Conditional.
object
The closing syntax tag for the conditional block.
Key-value pairs where the key is the branch key and the value is the opening syntax for that branch.
object
Content organized by branch key, then by locale code.
object
Localized email subject, keyed by BCP47 locale
object
object
The ID of a saved conditional applied to this content. When set, inline_conditional must not be set. The content has a separate variant for each branch of the conditional.
A conditional definition owned by a single component instance in an email.
object
object
The closing syntax tag for the conditional block.
Key-value pairs where the key is the branch key and the value is the opening syntax for that branch.
object
object
object
A per-DynamicContentProfile syntax entry on a Conditional.
object
The closing syntax tag for the conditional block.
Key-value pairs where the key is the branch key and the value is the opening syntax for that branch.
object
Content organized by branch key, then by locale code.
object
Localized email preheader, keyed by BCP47 locale
object
object
The name of the component definition this instance is based on.
The ID of a saved conditional applied to this component instance. When set, inline_conditional must not be set. The component renders a separate variant for each branch of the conditional.
A conditional definition owned by a single component instance in an email.
object
object
The closing syntax tag for the conditional block.
Key-value pairs where the key is the branch key and the value is the opening syntax for that branch.
object
object
object
A per-DynamicContentProfile syntax entry on a Conditional.
object
The closing syntax tag for the conditional block.
Key-value pairs where the key is the branch key and the value is the opening syntax for that branch.
object
Field values organized by branch key.
object
Field values organized by locale code.
A map of locale codes to boolean values indicating whether this component instance is hidden for that locale.
object
object
Per-component-instance link tracking parameter values, organized by branch key, then by locale code.
object
object
A map of link tracking parameter names to their values for this component instance.
object
object
The name of the component definition this instance is based on.
The ID of a saved conditional applied to this component instance. When set, inline_conditional must not be set. The component renders a separate variant for each branch of the conditional.
A conditional definition owned by a single component instance in an email.
object
object
The closing syntax tag for the conditional block.
Key-value pairs where the key is the branch key and the value is the opening syntax for that branch.
object
object
object
A per-DynamicContentProfile syntax entry on a Conditional.
object
The closing syntax tag for the conditional block.
Key-value pairs where the key is the branch key and the value is the opening syntax for that branch.
object
Field values organized by branch key.
object
Field values organized by locale code.
A map of locale codes to boolean values indicating whether this component instance is hidden for that locale.
object
object
Per-component-instance link tracking parameter values, organized by branch key, then by locale code.
object
object
A map of link tracking parameter names to their values for this component instance.
object
A map of link tracking parameter names to their values for this component instance.
object
Example
{ "subject": { "inline_conditional": { "default_syntax": { "closing": "{% endif %}", "branch_values": { "gold_membership": "{% if membership == 'gold' %}", "silver_membership": "{% elsif membership == 'silver' %}" } }, "branches": [ { "key": "gold_membership", "label": "Gold Membership" } ], "dynamic_content_profile_syntaxes": { "additionalProperty": { "closing": "{% endif %}", "branch_values": { "gold_membership": "{% if membership == 'gold' %}", "silver_membership": "{% elsif membership == 'silver' %}" } } } }, "branch_content": { "additionalProperty": { "additionalProperty": "My Email Subject in a Specific Locale" } } }, "preheader": { "inline_conditional": { "default_syntax": { "closing": "{% endif %}", "branch_values": { "gold_membership": "{% if membership == 'gold' %}", "silver_membership": "{% elsif membership == 'silver' %}" } }, "branches": [ { "key": "gold_membership", "label": "Gold Membership" } ], "dynamic_content_profile_syntaxes": { "additionalProperty": { "closing": "{% endif %}", "branch_values": { "gold_membership": "{% if membership == 'gold' %}", "silver_membership": "{% elsif membership == 'silver' %}" } } } }, "branch_content": { "additionalProperty": { "additionalProperty": "My Email Preheader in a Specific Locale" } } }, "container_component_instance": { "id": "bd1c1b82-1a7b-4f0f-b079-30c1d4189bed", "name": "My Component", "component_name": "Headline", "conditional_id": 1, "inline_conditional": { "default_syntax": { "closing": "{% endif %}", "branch_values": { "gold_membership": "{% if membership == 'gold' %}", "silver_membership": "{% elsif membership == 'silver' %}" } }, "branches": [ { "key": "gold_membership", "label": "Gold Membership" } ], "dynamic_content_profile_syntaxes": { "additionalProperty": { "closing": "{% endif %}", "branch_values": { "gold_membership": "{% if membership == 'gold' %}", "silver_membership": "{% elsif membership == 'silver' %}" } } } }, "hidden_from_locales": { "additionalProperty": true } }, "component_instances": [ { "id": "bd1c1b82-1a7b-4f0f-b079-30c1d4189bed", "name": "My Component", "component_name": "Headline", "conditional_id": 1, "inline_conditional": { "default_syntax": { "closing": "{% endif %}", "branch_values": { "gold_membership": "{% if membership == 'gold' %}", "silver_membership": "{% elsif membership == 'silver' %}" } }, "branches": [ { "key": "gold_membership", "label": "Gold Membership" } ], "dynamic_content_profile_syntaxes": { "additionalProperty": { "closing": "{% endif %}", "branch_values": { "gold_membership": "{% if membership == 'gold' %}", "silver_membership": "{% elsif membership == 'silver' %}" } } } }, "hidden_from_locales": { "additionalProperty": true } } ]}Unauthorized
object
Example
{ "message": "Record not found", "code": "share_link_expired"}Forbidden
object
Example
{ "message": "Record not found", "code": "share_link_expired"}Not Found
object
Example
{ "message": "Record not found", "code": "share_link_expired"}